GCLOUD_IAM_LIST-GRANTABLE-ROLES(1)

NAME

gcloud iam list-grantable-roles - list IAM grantable roles for a resource

SYNOPSIS

gcloud iam list-grantable-roles RESOURCE [--filter=EXPRESSION] [--page-size=PAGE_SIZE; default="100"] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
This command displays the list of grantable roles for a resource. The resource can be referenced either via the full resource name or via a URI. User can then add IAM policy bindings to grant the roles.

POSITIONAL ARGUMENTS

    RESOURCE
        The full resource name to get the list of roles for.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --page-size=PAGE_SIZE; default="100"
        Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
List grantable roles for a project:
    $ gcloud iam list-grantable-roles \
        //cloudresourcemanager.googleapis.com/projects/PROJECT_ID
List grantable roles for a resource identified via full resource name:
    $ gcloud iam list-grantable-roles \
        //compute.googleapis.com/projects/example-project/zones/\ us-central1-f/instances/example-instance
List grantable roles for a resource identified via URI:
    $ gcloud iam list-grantable-roles \
        https://www.googleapis.com/compute/v1/projects/example-project/\ zones/us-central1-f/instances/example-instance